# Uses of Interface
org.opensaml.saml.saml2.core.AuthnContext

Packages that use AuthnContext
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AuthnContext in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return AuthnContext
Modifier and Type
Method
Description
`AuthnContext`
AuthnStatement.`getAuthnContext()`
Gets the context used to authenticate the subject.
Methods in org.opensaml.saml.saml2.core with parameters of type AuthnContext
Modifier and Type
Method
Description
`void`
AuthnStatement.`setAuthnContext(AuthnContext newAuthnContext)`
Sets the context used to authenticate the subject.

## Uses of AuthnContext in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AuthnContext
Modifier and Type
Class
Description
`class`
`AuthnContextImpl`
A concrete implemenation of `AuthnContext`.
Fields in org.opensaml.saml.saml2.core.impl declared as AuthnContext
Modifier and Type
Field
Description
`private AuthnContext`
AuthnStatementImpl.`authnContext`
Authentication Context of the Authentication Statement.
Methods in org.opensaml.saml.saml2.core.impl that return AuthnContext
Modifier and Type
Method
Description
`AuthnContext`
AuthnContextBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthnContext`
AuthnContextBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AuthnContext`
AuthnStatementImpl.`getAuthnContext()`
Gets the context used to authenticate the subject.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type AuthnContext
Modifier and Type
Method
Description
`void`
AuthnStatementImpl.`setAuthnContext(AuthnContext newAuthnContext)`
Sets the context used to authenticate the subject.